Subject: [PATCH 1/4] mmc: mmci: Bugfix in pio read for small packets

From: [email-masked] (Ulf Hansson)
Date: Mon, 10 Oct 2011 10:23:02 +0200

Linus Walleij wrote:
> On Sat, Oct 8, 2011 at 11:10 AM, Russell King - ARM Linux
> <[email-masked]> wrote:
>> On Fri, Oct 07, 2011 at 03:45:48PM +0200, Ulf Hansson wrote:
>>
>> Well, the patch system says that each one depends on the previous one,
>> and the first one in the series contains the PIO read thing.
>>
>> Do 7108/1 onwards depend on 7106/1 and 7107/1 ?
> 
> Probably my fault, since I was helping Ulf out with the patch tracker
> introduction.
> 
> The patches should be pretty much semantically orthogonal as
> far as I can tell, the only reason dependency was stated that way
> was that I couldn't tell from head-parsing whether there were
> syntactical dependencies. (And wanted to avoid the annoyance
> of non-applying patches...)
> 
> So if they apply, they are independent AFAICT.

7108/1 and 7109/1, have real dependencies. Otherwise there none.

BR
Ulf Hansson